Bug 13957 - smbd panics when a level2 oplock holder dies hard
smbd panics when a level2 oplock holder dies hard
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-21 14:18 UTC by Volker Lendecke
Modified: 2019-06-20 09:48 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.10 and 4.9 (8.88 KB, text/plain)
2019-05-23 08:37 UTC, Volker Lendecke
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2019-05-21 14:18:35 UTC
Have patch, need bug#
Comment 1 Volker Lendecke 2019-05-22 13:25:56 UTC
Patch for master: https://gitlab.com/samba-team/samba/merge_requests/477
Comment 2 Volker Lendecke 2019-05-23 08:37:44 UTC
Created attachment 15182 [details]
Patch for 4.10 and 4.9
Comment 3 Ralph Böhme 2019-05-27 12:50:44 UTC
Comment on attachment 15182 [details]
Patch for 4.10 and 4.9

Patchset lacks cherry-picked from info. I tried to fix this and provide a corrected patchset, but it seems the patchset needs a few adjustments when backporting from master and I didn't wanna screw anything.

Can you attach a fixed patchset please?
Comment 4 Volker Lendecke 2019-05-27 12:57:52 UTC
Direct cherry-pick is impossible, because master and 4.9/4.10 need slightly different patches. How do you want me to proceed here?
Comment 5 Ralph Böhme 2019-05-27 13:22:53 UTC
Reassigning to Karolin for inclusion in 4.9 and 4.10.
Comment 6 Volker Lendecke 2019-05-27 13:24:28 UTC
master patches are ebf95e62bd0, febb933fc7b and 30622ed876c
Comment 7 Ralph Böhme 2019-05-27 13:27:27 UTC
Yeah, as I noticed myself when trying to backport, the patches don't apply cleanly when cherry-picking.

I don't think we have a clear rule here what to put into the commit message, what I've don in the past was add a line like

(backported from commit HASH)

I'll follow-up on one of the list to start a discussion so we can document a sensible process for the future.
Comment 8 Karolin Seeger 2019-06-04 09:44:45 UTC
Pushed to autobuild-v4-{10,9}-test.
Comment 9 Karolin Seeger 2019-06-20 09:48:33 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!